
EXP1803 - Developing #135

Developing # 134 (Открыта): Симуляция эксперимента - первое приближение

Проверка реконструкции BeamDet

02/16/2018 11:52 PM - Vratislav Chudoba

Status: Закрыта Start date: 02/17/2018

Priority: Неотложный Due date: 02/20/2018

Assignee: Vitaliy Schetinin % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Проверить реконструкцию BeamDet. Представить характерные картины проекции пучка на плоскость мишени и id-plot

dE-ToF для

1. чистого моноэнергетичного пучка 

6

He;

2. чистого пучка 

6

He с размытой энергией;

3. пучка 

6

He с типичными примесами;

Картинки получены. С таким восстановлением id-plot и координаты пучка на мишени можно работать.

Related issues:

Related to bugs #142: Позиция пучковой частицы на мишени Закрыта 02/18/2018 02/19/2018

Related to bugs #145: Координата на мишени из MWPC Закрыта 02/20/2018 02/21/2018

History

#1 - 02/18/2018 04:50 AM - Vratislav Chudoba

- File tof_mono.pdf added

- File tof_spread.pdf added

- File tof_spread_mixture.pdf added

Результаты в id-plot dE-ToF на первой взгляд качественно похожи на правду. Сразу напрегает следующее:

1. Происхождение точки с высокой потерей энергии на второй картинке tof_spread.pdf не очень понятно. Как узнать, откуда берется?

2. Откуда берутся на третьей картинке tof_spread_mixture.pdf кинетические энергии меньше чем 180 для 

6

He, если пучек задавали как  

Double_t  kinE_MevPerNucleon = 30.;

Double_t  kinE_MevPerNucleonMax = 32.;

Int_t Z = 2, A = 6, Q = 2;

TString ionName = "6He";

ERIonMixGenerator* generator = new ERIonMixGenerator(ionName, Z, A, Q, 1);

generator->AddBackgroundIon("Triton", 1, 3, 1, 0.1 / 0.40);

generator->AddBackgroundIon("8He", 2, 8, 2, 0.2 / 0.40);

generator->AddBackgroundIon("11Li", 3, 11, 3, 0.2 / 0.40);

generator->AddBackgroundIon("9Li", 3, 9, 3, 0.1 / 0.40);

Double32_t kin_energy = kinE_MevPerNucleon * 1e-3 * A; //GeV

Double32_t kin_energy_max = kinE_MevPerNucleonMax * 1e-3 * A; //GeV

generator->SetKinERange(kin_energy, kin_energy_max);

generator->SetThetaRange(0., 0.);

generator->SetPhiRange(0, 360);

generator->SetBoxXYZ(-2, -2, 0, 0, beamStartPosition);

generator->SpreadingOnTarget();

?
#2 - 02/18/2018 10:14 AM - Sergey Belogurov

Большое энерговыделение в ТоФ может быть следствием ядерной реакции. Для проверки можно найти номер события, в котором такое

энерговыделение случилось, а потом посмотреть пошаговый вывод из geant с целью увидеть процессс, приводящий к аномальному

энерговыделению.  Эльвира на дипломе под руководством Виталика делала подобное.  Сейчас на это отвлекаться. я думаю, не надо, а

позже мы попросим Виталика сделать интсрукцию для анализа процессов в выбранных событиях.

 

Что касается малых энергий на третьей картинке, их лучше было бы видно в лог масштабе. Чтобы понять причину, стоит у этих событий

посмотреть едепы и дижи.time в обоих тофах  

#3 - 02/18/2018 12:06 PM - Vratislav Chudoba

Спасибо. Я так и подозревал и надеялся. Проблему с большим энерговыделением считаю пока решеной.

#4 - 02/18/2018 01:38 PM - Mikhail Kozlov

У меня в двух событиях из 10000 появились ионы с кинетическими энергиями меньше 180 МэВ. Старт треков у них не в точке генератора:

 
Selection_151.png 

Судя по координате Z, где-то в мишени появляются новые треки. 

Генеротор в этих событиях запускает He6, с ним все в порядке.
#5 - 02/18/2018 03:46 PM - Sergey Belogurov

А что у этих частиц с motherID. Нет ли другого трека, который с тем же pid прошел через ТоФ и 

закончился ровно там, где начался трек с пониженной энергией? 

Это вряд ли относится к базовому функционалу бим детектора, поэтому предлагаю дождаться 

более спокойного времени и овладеть анализом процессов по шагам.

#6 - 02/19/2018 03:47 AM - Vratislav Chudoba

- Parent task deleted (#134)

#7 - 02/19/2018 03:49 AM - Vratislav Chudoba

- Related to bugs #142: Позиция пучковой частицы на мишени added

#8 - 02/19/2018 03:54 AM - Vratislav Chudoba

- Due date set to 02/20/2018

- Start date set to 02/17/2018

- % Done changed from 0 to 50

- Parent task set to #134

#9 - 02/20/2018 07:43 PM - Vratislav Chudoba

- File MWPC_6He_clean_point00.pdf added

- File MWPC_6He_clean_point-1-1.pdf added

#11 - 02/20/2018 07:50 PM - Vratislav Chudoba

- Related to bugs #145: Координата на мишени из MWPC added

#12 - 02/21/2018 11:14 AM - Sergey Belogurov

- Assignee changed from Vratislav Chudoba to Vitaliy Schetinin

Виталик, проблема с ионами,  "похожими на пучковые" обсуждается в этой задаче.  См "Откуда берутся на третьей картинке

tof_spread_mixture.pdf кинетические энергии меньше чем 180 для 

6

He" в update #1 от Вратика и аналогимчное наблюдение Миши в update 

#4 (У меня в двух событиях из 10000 появились ионы с кинетическими энергиями меньше 180 МэВ. Старт треков у них не в точке генератора:). См также мой коммент в updaet#5.

#13 - 02/21/2018 12:41 PM - Vitaliy Schetinin

Коллеги, макрос и номер события пожалуйста.

Но скорее всего это тот же ион. Летел ион He6. После упургого взаимодействия считается, что этот трек закончился и начался другой(с

точки зрения пропогации трека тут все нормально). Но по сути это та же частица.

#14 - 02/21/2018 01:15 PM - Vratislav Chudoba

- File MWPC_6He_clean_cone.pdf added

- Description updated

- % Done changed from 50 to 90
#15 - 02/21/2018 02:25 PM - Mikhail Kozlov

- File exp1803_sim_digi.C added

Vitaliy Schetinin wrote:

Коллеги, макрос и номер события пожалуйста.

Но скорее всего это тот же ион. Летел ион He6. После упургого взаимодействия считается, что этот трек закончился и начался

другой(с точки зрения пропогации трека тут все нормально). Но по сути это та же частица.

 

Номер события MCEventHeader.fEventId == 1700 .

#16 - 02/21/2018 03:35 PM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- % Done changed from 90 to 100

Добавление motherID=-1 решает проблему.

Files

tof_mono.pdf 23 KB 02/18/2018 Vratislav Chudoba

tof_spread.pdf 22.4 KB 02/18/2018 Vratislav Chudoba

tof_spread_mixture.pdf 20.9 KB 02/18/2018 Vratislav Chudoba

MWPC_6He_clean_point-1-1.pdf 29.7 KB 02/20/2018 Vratislav Chudoba

MWPC_6He_clean_point00.pdf 31.5 KB 02/20/2018 Vratislav Chudoba

MWPC_6He_clean_cone.pdf 21.7 KB 02/21/2018 Vratislav Chudoba

exp1803_sim_digi.C 11.8 KB 02/21/2018 Mikhail Kozlov
